Get paginated reward templates
curl --request GET \
--url https://{subdomain}.nudj.cx/api/v2/admin/templates/rewards \
--header 'x-api-token: <api-key>'import requests
url = "https://{subdomain}.nudj.cx/api/v2/admin/templates/rewards"
headers = {"x-api-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-token': '<api-key>'}};
fetch('https://{subdomain}.nudj.cx/api/v2/admin/templates/rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalCount": 123,
"edges": [
{
"id": "<string>",
"organisationId": "<string>",
"communityId": "<string>",
"additionalCommunityIds": [
"<string>"
],
"details": {
"title": "<string>",
"description": "<string>",
"light": {
"primaryImageUrl": "<string>",
"secondaryImageUrl": "<string>"
},
"dark": {
"primaryImageUrl": "<string>",
"secondaryImageUrl": "<string>"
}
},
"assetPointsPrice": 1,
"assetPointsSwapValue": 1,
"entryPointsPrice": 1,
"assetsSupply": 1,
"entriesSupply": 1,
"maxAssetsPerUser": 2,
"maxEntriesPerUser": 2,
"isSharedAssetsSupply": true,
"isSharedEntriesSupply": true,
"allocations": [
{
"id": "<string>",
"supply": 1,
"amountToDistribute": 2,
"distributed": 1,
"isShop": true,
"isLive": true
}
],
"redemptionConfig": {
"type": "<string>",
"additionalInformation": [
{
"variableConfigId": "<string>",
"required": true,
"position": 2
}
],
"autoRedeem": false,
"content": "<string>",
"instructions": "<string>",
"instructionsImageUrl": "<string>",
"supportEmail": "jsmith@example.com",
"supportPhoneNumber": "<string>",
"supportUrl": "<string>",
"redeemByDate": "<string>"
},
"tags": [
"<string>"
],
"campaigns": [
"<string>"
],
"isManualGiveaway": true,
"availableAsTemplateForOrganisations": [
"<string>"
],
"isGlobalTemplate": true,
"metadata": {},
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>",
"featured": true,
"drawsAt": "<string>",
"startsAt": "<string>",
"expiresAt": "<string>"
}
]
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Templates
Get paginated reward templates
Get a paginated list of reward templates available to your organisation.
GET
/
templates
/
rewards
Get paginated reward templates
Authorizations
Headers
The language to return the rewards in. If not provided, the default language for the organisation will be used.
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0Was this page helpful?
⌘I

